Bug 994462 - Dist-geo-rep : geo-rep failover-failback is broken : special-sync-mode blind results in faulty state.
Dist-geo-rep : geo-rep failover-failback is broken : special-sync-mode blind ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Csaba Henk
: TestBlocker
Depends On: 989192
Blocks: 957769
  Show dependency treegraph
 
Reported: 2013-08-07 06:46 EDT by Venky Shankar
Modified: 2014-07-11 15:17 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 989192
Environment:
Last Closed: 2014-07-11 15:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-08-07 06:48:42 EDT
REVIEW: http://review.gluster.org/5515 (gsyncd / geo-rep: introduce "recovery" mode) posted (#1) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 2 Anand Avati 2013-08-13 01:55:28 EDT
REVIEW: http://review.gluster.org/5515 (gsyncd / geo-rep: introduce "recovery" mode) posted (#2) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 3 Anand Avati 2013-09-03 06:02:27 EDT
REVIEW: http://review.gluster.org/5515 (gsyncd / geo-rep: introduce "recovery" mode) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 4 Anand Avati 2013-09-04 23:43:13 EDT
COMMIT: http://review.gluster.org/5515 committed in master by Anand Avati (avati@redhat.com) 
------
commit 9ccdba413ff12956df2221fce91b220300479d23
Author: Venky Shankar <vshankar@redhat.com>
Date:   Wed Aug 7 16:10:25 2013 +0530

    gsyncd / geo-rep: introduce "recovery" mode
    
    This mode introduces and optimized recovery of master,
    used during failover-failback cases. Files are only
    transferred if they are identified as changed on the slave.
    
    A normal failback mechanism would be just to reverse the
    direction of geo-replication syncing. Doing this is the
    correct way but could be time consuming. "Recovery" mode
    optimizes this by identifying files (as skipping them) duing
    the one-shot crawl.
    
    NOTE: Use this mode when you are _absolutely_ sure that the
    namespace on the master is intact, ie. there is number of files
    in master is equal to the number of files in the slave, but the
    slave was written to (after a failover) when master was brought
    back up.
    
    - gluster volume geo <MV> <SLAVE>::<SV> config special_sync_mode recover
    - gluster volume geo <MV> <SLAVE>::<SV> start
    
    Change-Id: Idb698949e4e86698b15d04a35d33095562f51714
    BUG: 994462
    Original Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-on: http://review.gluster.org/5515
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.